### Class

# Meta Selection

#### Description

    final class Meta.Selection : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### meta_selection_new

No description available.

#### Instance methods

###### meta_selection_get_mimetypes

Returns the list of supported mimetypes for the given selection type.

###### meta_selection_set_owner

Sets `owner` as the owner of the selection given by `selection_type`, unsets any previous owner there was.

###### meta_selection_transfer_async

Requests a transfer of `mimetype` on the selection given by `selection_type`.

###### meta_selection_transfer_finish

Finishes the transfer of a queried mimetype.

###### meta_selection_unset_owner

Unsets `owner` as the owner the selection given by `selection_type`. If `owner` does not own the selection, nothing is done.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Meta.Selection::owner-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaSelectionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.